Page MenuHomePhabricator

RevisionSlider reloads diff needlessly when dragged back to original position
Closed, ResolvedPublic

Description

Taken from: https://www.mediawiki.org/w/index.php?title=Topic:Tox8ng2jqj6go7z9&topic_showPostId=toziizz11vu4i9qb#flow-post-toziizz11vu4i9qb

When dragging one of the pointers over another revision without releasing it and then returning it to the original position / revision the diff reloads although nothing changed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 9:12 AM
Lea_WMDE moved this task from Incoming to Backlog on the Revision-Slider board.May 8 2017, 12:19 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 9 2017, 1:35 PM

Change 371622 had a related patch set uploaded (by MtDu; owner: MtDu):
[mediawiki/extensions/RevisionSlider@master] Fix unnecessary reloading of diff

https://gerrit.wikimedia.org/r/371622

Change 371622 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Fix unnecessary reloading of diff

https://gerrit.wikimedia.org/r/371622

MtDu closed this task as Resolved.Aug 12 2017, 3:54 PM
MtDu claimed this task.
MtDu added a subscriber: MtDu.

Code has been merged, so closing task as resolved. :)